EDIT - feature request #8048

Selenium test for Registration page
01/31/2019 01:49 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

implement a selenium test for the registration page

Thew test should cover #7977, #7947, #7616, #7907

Related issues:

Related to EDIT - feature request #7977: Registration page layout improved Closed
Related to EDIT - feature request #7947: registration page shows name relations Closed
Related to EDIT - bug #7616: reference page: show name types Closed

Associated revisions

Revision 08dde2eb - 02/05/2019 05:00 PM - Andreas Kohlbecker

ref #8048 implementing page object, element objects & tests for registration page

Revision 894fc85e - 02/05/2019 05:11 PM - Andreas Kohlbecker

ref #8048 ignoring test class for now

Revision 87666c59 - 02/05/2019 05:17 PM - Andreas Kohlbecker

ref #8048 ignoring RegistrationTest class for now - fixes last commit which was messed up

Revision aac3a77c - 02/05/2019 05:18 PM - Andreas Kohlbecker

ref #8048 ignoring RegistrationTest class for now - 2.

Revision 095edb04 - 02/06/2019 02:40 PM - Andreas Kohlbecker

ref #8048 enabling RegistrationTest and updating assertions to new test dataset

History

#1 - 01/31/2019 01:50 PM - Andreas Kohlbecker

- Description updated

#2 - 01/31/2019 01:51 PM - Andreas Kohlbecker

- Description updated

#3 - 01/31/2019 01:51 PM - Andreas Kohlbecker
- Related to feature request #7977: Registration page layout improved added

#4 - 01/31/2019 01:51 PM - Andreas Kohlbecker

- Related to feature request #7947: registration page shows name relations added

#5 - 01/31/2019 01:51 PM - Andreas Kohlbecker
- Related to bug #7616: reference page: show name types added

#6 - 01/31/2019 01:51 PM - Andreas Kohlbecker

- Related to bug #7907: Annotations in Reference page do not respect the annotation settings added
https://dev.e-taxonomy.eu/redmine/issues/7977
https://dev.e-taxonomy.eu/redmine/issues/7947
https://dev.e-taxonomy.eu/redmine/issues/7616
https://dev.e-taxonomy.eu/redmine/issues/7907

#7 - 02/05/2019 04:58 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#8 - 02/06/2019 02:51 PM - Andreas Kohlbecker

- Related to deleted (bug #7907: Annotations in Reference page do not respect the annotation settings)

#9 - 02/06/2019 02:53 PM - Andreas Kohlbecker

- Tags changed from phycobank to phycobank, selenium

#10 - 02/06/2019 02:54 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100

Tests implemented and SUCCESSful
